<< rc2lar | FOSSEE_Signal_Processing_Toolbox | rceps >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > rc2poly

# rc2poly

Convert reflection coefficients to prediction polynomial.

### Syntax

    a = rc2poly(kr)
    [a, efinal] = rc2poly(kr,R0)

### Parameters

kr:

  Refelection coefficient.

R0:

  the zero lag autocorrelation, R0.

a:

  Return the prediction polynomial.

efinal:

  Return the final prediction error.

### Examples

    X = [7 6 5 8 3 6]
    [a, efinal] = rc2poly(X)  //error as only one input parameter is specified.(R0 is not mentioned)

    k = [0.3090 0.9800 0.0031 0.0082 -0.0082];
    a = rc2poly(k)

### See also

### Authors

- Jitendra Singh

Report an issue
<< rc2lar | FOSSEE_Signal_Processing_Toolbox | rceps >>